(text "<!doctype html>")
(html
    ("lang" "en")
    (head
        (meta ("charset" "UTF-8"))
        (meta ("name" "viewport") ("content" "width=device-width, initial-scale=1.0"))
        (meta ("http-equiv" "X-UA-Compatible") ("content" "ie=edge"))

        (link ("rel" "stylesheet") ("href" "{{ tetratto }}/css/utility.css?v={{ build_code }}"))
        (link ("rel" "stylesheet") ("href" "/public/style.css?v={{ build_code }}"))

        (style (text ":root { --color-primary: {{ theme_color }}; }"))

        (meta ("name" "theme-color") ("content" "{{ theme_color }}"))
        (meta ("property" "og:type") ("content" "website"))
        (meta ("property" "og:site_name") ("content" "{{ name }}"))

        (script ("src" "/public/app.js?v={{ build_code }}") ("defer"))

        (text "{% block head %}{% endblock %}"))

    (body
        ; nav
        (nav
            ("class" "flex w-full justify-between gap-2")
            (div
                ("class" "flex side")
                (div
                    ("class" "dropdown")
                    (button
                        ("onclick" "open_dropdown(event)")
                        ("exclude" "dropdown")
                        ("class" "button camo fade")
                        (text "{{ icon \"menu\" }}"))
                    (div
                        ("class" "inner")
                        (a
                            ("class" "button")
                            ("href" "/")
                            (text "new"))
                        (a
                            ("class" "button")
                            ("href" "/{{ what_page_slug }}")
                            (text "what"))
                        (a
                            ("class" "button")
                            ("href" "https://trisua.com/t/fluffle")
                            (text "source"))))

                (a
                    ("class" "button camo fade")
                    ("href" "/")
                    ("title" "new")
                    (text "{{ icon \"plus\" }}")))

            (div
                ("class" "side flex")
                (text "{% block nav_extras %}{% endblock %}")

                ; theme switches
                (button
                    ("class" "button camo fade")
                    ("id" "switch_light")
                    ("title" "Switch theme")
                    ("onclick" "set_theme('Dark')")
                    (text "{{ icon \"sun\" }}"))

                (button
                    ("class" "button camo fade hidden")
                    ("id" "switch_dark")
                    ("title" "Switch theme")
                    ("onclick" "set_theme('Light')")
                    (text "{{ icon \"moon\" }}"))))

        ; page
        (article
            ("class" "content_container flex flex-col")
            ("id" "page")
            (ul ("id" "messages"))
            (text "{% block body %}{% endblock %}")
            (div ("style" "min-height: 32px")))

        (script (text "setTimeout(() => init_dropdowns(document.body), 150);"))))
